GNU bug report logs - #7726
reveal-mode bypassed by compile-goto-error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lennart Borgman <lennart.borgman@HIDDEN>; dated Fri, 24 Dec 2010 12:50:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 7726 <at> debbugs.gnu.org:


Received: (at 7726) by debbugs.gnu.org; 24 Jan 2011 20:01:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 24 15:01:51 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PhSbn-0000ck-0V
	for submit <at> debbugs.gnu.org; Mon, 24 Jan 2011 15:01:51 -0500
Received: from mail-ew0-f44.google.com ([209.85.215.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PhSbk-0000cW-Na
	for 7726 <at> debbugs.gnu.org; Mon, 24 Jan 2011 15:01:49 -0500
Received: by ewy8 with SMTP id 8so2344245ewy.3
	for <7726 <at> debbugs.gnu.org>; Mon, 24 Jan 2011 12:09:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:from:date
	:message-id:subject:to:cc:content-type:content-transfer-encoding;
	bh=UtEdauX2QmKAMTL0wM9OizF7merZubMkREvIpL2gA8M=;
	b=kTIsFUsfAN8UAG20h9kbMlUcintU9mTNq8HccZCbicDweqxFqbibyvX/B3YLmtX4e5
	lGgXyv6wmFKx+AtJsfGJTb6m6hjTJ5SACone4Tq1xPIHueDRJbUcQMC6SIMWSIpxGdJp
	FfzpQH44t6V+Ctwgy96GIMEgVModBQ7HGTlDk=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=KBbum2suFHSGl+HLqVTNTz7HdIfLFirpTlCAFma/XuW9uakQMQhAE0MMtOumqG1EUS
	tDD5Quy+4ZITatZHMJOISauAxHgflAkuEkJqYXtchYBfs430ZXkSwsp0FbWKhawafAv6
	gA/nZZFmdDqSRiyisrg2tlfOa1Vij9I7VfL6I=
Received: by 10.213.35.147 with SMTP id p19mr5562898ebd.19.1295899790109; Mon,
	24 Jan 2011 12:09:50 -0800 (PST)
MIME-Version: 1.0
Received: by 10.213.20.148 with HTTP; Mon, 24 Jan 2011 12:09:29 -0800 (PST)
In-Reply-To: <jwvd3nmp9l7.fsf-monnier+emacs@HIDDEN>
References: <AANLkTik3VLyRYTs-zMeSDhnGbZDoEYHg6QgEsU6_78Q+@mail.gmail.com>
	<87vd2jb5e2.fsf@HIDDEN> <87vd1gbiwt.fsf@HIDDEN>
	<jwvwrlvrurc.fsf-monnier+emacs@HIDDEN>
	<AANLkTikHqhfN4rhwkkG8Bsw35bSs5_+mtHSTQOCacD74@HIDDEN>
	<jwvd3nmp9l7.fsf-monnier+emacs@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 24 Jan 2011 21:09:29 +0100
Message-ID: <AANLkTik2Nzj3-HoSZr0C=_=6bvkT-qkCLem++Ytae+Lk@HIDDEN>
Subject: Re: bug#7726: reveal-mode bypassed by compile-goto-error
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 7726
Cc: Chong Yidong <cyd@HIDDEN>, 7726 <at> debbugs.gnu.org,
	Thierry Volpiatto <thierry.volpiatto@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.5 (---)

On Mon, Jan 24, 2011 at 5:12 PM, Stefan Monnier
<monnier@HIDDEN> wrote:
>>>>>> If I use compile-goto-error from a grep-mode buffer to a org-mode
>>>>>> buffer where the destination line is in a hidden outline then the
>>>>>> outline will not be revealed until after next command.
>>>>> also, goto-line is unable to reach line in an outline based buffer.
>>>>> See in anything and ioccur, it is fixed for org-mode and
>>>>> outline-minor-mode.
>>>>> Is there other modes based on outline to handle?
>>>> Anyone have a test case?
>>> I think the problem is that reveal-mode runs from post-command-hook and
>>> reveals what's in the buffer that's current when post-command-hook is
>>> run, whereas in the above cases, the buffer that needs revealing is not
>>> current at that point.
>>> That's one of the cases where we could use something like
>>> a "pre-redisplay-hook".
>> Isn't it more like post-post-command-hook?
>
> No I really meant pre-redisplay-hook. =C2=A0I don't see why
> post-post-command-hook would have anything to do with this problem.
> E.g. I think a case that needs to work is when you're in the *compile*
> buffer and select one entry to display the source but while staying in
> the *compile* buffer: the current buffer before and after the command is
> *compile*, so no amount of post/pre-command-hooks can tell you that some
> other buffer needs revealing.

Oh, I see.

And haven't we been discussing before that such a hook maybe could be
useful for cases where we now are using
window-configuration-change-hook?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7726; Package emacs. Full text available.

Message received at 7726 <at> debbugs.gnu.org:


Received: (at 7726) by debbugs.gnu.org; 24 Jan 2011 16:04:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 24 11:04:59 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PhOuY-0003Pj-O3
	for submit <at> debbugs.gnu.org; Mon, 24 Jan 2011 11:04:58 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1PhOuW-0003PX-Nv
	for 7726 <at> debbugs.gnu.org; Mon, 24 Jan 2011 11:04:57 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEAJ4zPU1MCo4O/2dsb2JhbACkZ3S7foVQBIRwjjo
X-IronPort-AV: E=Sophos;i="4.60,370,1291611600"; d="scan'208";a="89058759"
Received: from 76-10-142-14.dsl.teksavvy.com (HELO pastel.home)
	([76.10.142.14])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	24 Jan 2011 11:12:58 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 8D91E58C4E; Mon, 24 Jan 2011 11:12:57 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Lennart Borgman <lennart.borgman@HIDDEN>
Subject: Re: bug#7726: reveal-mode bypassed by compile-goto-error
Message-ID: <jwvd3nmp9l7.fsf-monnier+emacs@HIDDEN>
References: <AANLkTik3VLyRYTs-zMeSDhnGbZDoEYHg6QgEsU6_78Q+@mail.gmail.com>
	<87vd2jb5e2.fsf@HIDDEN> <87vd1gbiwt.fsf@HIDDEN>
	<jwvwrlvrurc.fsf-monnier+emacs@HIDDEN>
	<AANLkTikHqhfN4rhwkkG8Bsw35bSs5_+mtHSTQOCacD74@HIDDEN>
Date: Mon, 24 Jan 2011 11:12:57 -0500
In-Reply-To: <AANLkTikHqhfN4rhwkkG8Bsw35bSs5_+mtHSTQOCacD74@HIDDEN>
	(Lennart Borgman's message of "Mon, 24 Jan 2011 02:00:19 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 7726
Cc: Chong Yidong <cyd@HIDDEN>, 7726 <at> debbugs.gnu.org,
	Thierry Volpiatto <thierry.volpiatto@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

>>>>> If I use compile-goto-error from a grep-mode buffer to a org-mode
>>>>> buffer where the destination line is in a hidden outline then the
>>>>> outline will not be revealed until after next command.
>>>> also, goto-line is unable to reach line in an outline based buffer.
>>>> See in anything and ioccur, it is fixed for org-mode and
>>>> outline-minor-mode.
>>>> Is there other modes based on outline to handle?
>>> Anyone have a test case?
>> I think the problem is that reveal-mode runs from post-command-hook and
>> reveals what's in the buffer that's current when post-command-hook is
>> run, whereas in the above cases, the buffer that needs revealing is not
>> current at that point.
>> That's one of the cases where we could use something like
>> a "pre-redisplay-hook".
> Isn't it more like post-post-command-hook?

No I really meant pre-redisplay-hook.  I don't see why
post-post-command-hook would have anything to do with this problem.
E.g. I think a case that needs to work is when you're in the *compile*
buffer and select one entry to display the source but while staying in
the *compile* buffer: the current buffer before and after the command is
*compile*, so no amount of post/pre-command-hooks can tell you that some
other buffer needs revealing.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7726; Package emacs. Full text available.

Message received at 7726 <at> debbugs.gnu.org:


Received: (at 7726) by debbugs.gnu.org; 24 Jan 2011 00:52:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 23 19:52:42 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PhAfi-0006ZB-JV
	for submit <at> debbugs.gnu.org; Sun, 23 Jan 2011 19:52:42 -0500
Received: from mail-ey0-f172.google.com ([209.85.215.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PhAfg-0006Yy-9v
	for 7726 <at> debbugs.gnu.org; Sun, 23 Jan 2011 19:52:40 -0500
Received: by eyd10 with SMTP id 10so1823211eyd.3
	for <7726 <at> debbugs.gnu.org>; Sun, 23 Jan 2011 17:00:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:from:date
	:message-id:subject:to:cc:content-type;
	bh=QqqQcnBjr42iGy2fd5tRR9oxEYbl33hmQNSEWFlXL0E=;
	b=w2CTwymPJK/5K93mfnbcB2s53+grsylsuDYH8IkFIbePmjeYFwY4QhMLeD6cDgHE9L
	vALxrSKVryTO89L9nWXwnzY5Fq1vvQiK2E2wHUZw6+Kf48ztqURTZcS0/bylUBiLQICa
	2gzHLEvNvkQ5JgCLRI0NBBhJ7uANSVzuDQDbE=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	b=NiHRb4mOwVYDkvP8DQselO9JUjhffkhIkp4EsGbsOa7vpaE7jGanee20ArlNQeyrRp
	z75WwlLITJ5tNN/73McnwjKs4cM4MdxYiEwSsRmxP47lSI/WYvQywZDwVXTciSdoNqb6
	X2k0Mtj5urzGpyXJX/e1RIGH4x/tMGA1KEPf8=
Received: by 10.213.33.17 with SMTP id f17mr4125170ebd.6.1295830840028; Sun,
	23 Jan 2011 17:00:40 -0800 (PST)
MIME-Version: 1.0
Received: by 10.213.20.148 with HTTP; Sun, 23 Jan 2011 17:00:19 -0800 (PST)
In-Reply-To: <jwvwrlvrurc.fsf-monnier+emacs@HIDDEN>
References: <AANLkTik3VLyRYTs-zMeSDhnGbZDoEYHg6QgEsU6_78Q+@mail.gmail.com>
	<87vd2jb5e2.fsf@HIDDEN> <87vd1gbiwt.fsf@HIDDEN>
	<jwvwrlvrurc.fsf-monnier+emacs@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 24 Jan 2011 02:00:19 +0100
Message-ID: <AANLkTikHqhfN4rhwkkG8Bsw35bSs5_+mtHSTQOCacD74@HIDDEN>
Subject: Re: bug#7726: reveal-mode bypassed by compile-goto-error
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 7726
Cc: Chong Yidong <cyd@HIDDEN>, 7726 <at> debbugs.gnu.org,
	Thierry Volpiatto <thierry.volpiatto@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.5 (---)

On Mon, Jan 24, 2011 at 1:50 AM, Stefan Monnier
<monnier@HIDDEN> wrote:
>>>> If I use compile-goto-error from a grep-mode buffer to a org-mode
>>>> buffer where the destination line is in a hidden outline then the
>>>> outline will not be revealed until after next command.
>>> also, goto-line is unable to reach line in an outline based buffer.
>>> See in anything and ioccur, it is fixed for org-mode and
>>> outline-minor-mode.
>>> Is there other modes based on outline to handle?
>> Anyone have a test case?
>
> I think the problem is that reveal-mode runs from post-command-hook and
> reveals what's in the buffer that's current when post-command-hook is
> run, whereas in the above cases, the buffer that needs revealing is not
> current at that point.
> That's one of the cases where we could use something like
> a "pre-redisplay-hook".

Isn't it more like post-post-command-hook?

(Didn't I take up such a problem with cua-mode long ago? But at the
moment I can't remember what it was.)




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7726; Package emacs. Full text available.

Message received at 7726 <at> debbugs.gnu.org:


Received: (at 7726) by debbugs.gnu.org; 24 Jan 2011 00:42:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 23 19:42:56 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PhAWG-0006Lu-Cl
	for submit <at> debbugs.gnu.org; Sun, 23 Jan 2011 19:42:56 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1PhAWD-0006Lh-HX
	for 7726 <at> debbugs.gnu.org; Sun, 23 Jan 2011 19:42:54 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEAP5bPE3O+J3X/2dsb2JhbACkZXS6QYVQBIRwjjo
X-IronPort-AV: E=Sophos;i="4.60,367,1291611600"; d="scan'208";a="89009333"
Received: from 206-248-157-215.dsl.teksavvy.com (HELO ceviche.home)
	([206.248.157.215])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	23 Jan 2011 19:50:53 -0500
Received: by ceviche.home (Postfix, from userid 20848)
	id 0A8CC66102; Sun, 23 Jan 2011 19:50:53 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#7726: reveal-mode bypassed by compile-goto-error
Message-ID: <jwvwrlvrurc.fsf-monnier+emacs@HIDDEN>
References: <AANLkTik3VLyRYTs-zMeSDhnGbZDoEYHg6QgEsU6_78Q+@mail.gmail.com>
	<87vd2jb5e2.fsf@HIDDEN> <87vd1gbiwt.fsf@HIDDEN>
Date: Sun, 23 Jan 2011 19:50:53 -0500
In-Reply-To: <87vd1gbiwt.fsf@HIDDEN> (Chong Yidong's message of
	"Sat, 22 Jan 2011 18:47:14 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 7726
Cc: 7726 <at> debbugs.gnu.org, Thierry Volpiatto <thierry.volpiatto@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

>>> If I use compile-goto-error from a grep-mode buffer to a org-mode
>>> buffer where the destination line is in a hidden outline then the
>>> outline will not be revealed until after next command.
>> also, goto-line is unable to reach line in an outline based buffer.
>> See in anything and ioccur, it is fixed for org-mode and
>> outline-minor-mode.
>> Is there other modes based on outline to handle?
> Anyone have a test case?

I think the problem is that reveal-mode runs from post-command-hook and
reveals what's in the buffer that's current when post-command-hook is
run, whereas in the above cases, the buffer that needs revealing is not
current at that point.
That's one of the cases where we could use something like
a "pre-redisplay-hook".


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7726; Package emacs. Full text available.

Message received at 7726 <at> debbugs.gnu.org:


Received: (at 7726) by debbugs.gnu.org; 23 Jan 2011 07:11:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 23 02:11:37 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pgu6r-0003fq-Ga
	for submit <at> debbugs.gnu.org; Sun, 23 Jan 2011 02:11:37 -0500
Received: from mail-ww0-f42.google.com ([74.125.82.42])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <thierry.volpiatto@HIDDEN>) id 1Pgu6p-0003fe-S1
	for 7726 <at> debbugs.gnu.org; Sun, 23 Jan 2011 02:11:36 -0500
Received: by wwi17 with SMTP id 17so2182580wwi.3
	for <7726 <at> debbugs.gnu.org>; Sat, 22 Jan 2011 23:19:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:from:to:cc:subject:references:date:in-reply-to
	:message-id:user-agent:mime-version:content-type;
	bh=zIjnrWEeJ/oMU4ouLwUEbDkRtce+3ero5XU2kWh25w4=;
	b=WsHklAUCa/X8aUZkxrEi8cdjnitaxIgyh0QV2w3BlPqLc2pXHbqQ7g5mkadHa8t9zK
	OyTHw7Wx/nYJ4+9wvdrsRzraxFpyKZn+OGwavBmoFuc57IVGpUzBZBJLhas4wFVCvifk
	+jygSFux53JgFqQwYWvRZIDB7+MTnZn1Bncgk=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	b=ZI7/jjSb3fRjOSYzbK7MvPNX3AI64N9T3rmo8pVaOPALdJW+f4Stp17ijQMbE7YZqF
	ikTkLpChuDT4KZY5gSfqLaXG93BvHjOnwjTyHS3KXeigl9+itZ7Cc8YtUPZjVu/xo0RG
	+t+loDTJnRMCBFT/JUEQWorQwLn7XVvHDJQts=
Received: by 10.227.137.71 with SMTP id v7mr2847909wbt.45.1295767172994;
	Sat, 22 Jan 2011 23:19:32 -0800 (PST)
Received: from thierry-MM061 (183.211.85-79.rev.gaoland.net [79.85.211.183])
	by mx.google.com with ESMTPS id n78sm5854972weq.3.2011.01.22.23.19.31
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Sat, 22 Jan 2011 23:19:32 -0800 (PST)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#7726: reveal-mode bypassed by compile-goto-error
References: <AANLkTik3VLyRYTs-zMeSDhnGbZDoEYHg6QgEsU6_78Q+@mail.gmail.com>
	<87vd2jb5e2.fsf@HIDDEN> <87vd1gbiwt.fsf@HIDDEN>
Date: Sun, 23 Jan 2011 08:19:29 +0100
In-Reply-To: <87vd1gbiwt.fsf@HIDDEN> (Chong Yidong's message of
	"Sat, 22 Jan 2011 18:47:14 -0500")
Message-ID: <87aaisf5oe.fsf@HIDDEN>
User-Agent: Gnus/5.110011 (No Gnus v0.11) Emacs/23.2.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 7726
Cc: 7726 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.4 (----)

Chong Yidong <cyd@HIDDEN> writes:

> Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:
>
>> Lennart Borgman <lennart.borgman@HIDDEN> writes:
>>
>>> If I use compile-goto-error from a grep-mode buffer to a org-mode
>>> buffer where the destination line is in a hidden outline then the
>>> outline will not be revealed until after next command.
>>
>> Indeed,
>>
>> also, goto-line is unable to reach line in an outline based buffer.
>> See in anything and ioccur, it is fixed for org-mode and
>> outline-minor-mode.
>>
>> Is there other modes based on outline to handle?
>
> Anyone have a test case?
Switch to any org buffer, close all, and:
M-g g 20 RET

-- 
A+ Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7726; Package emacs. Full text available.

Message received at 7726 <at> debbugs.gnu.org:


Received: (at 7726) by debbugs.gnu.org; 23 Jan 2011 01:52:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 22 20:52:40 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pgp8C-0005KK-Mu
	for submit <at> debbugs.gnu.org; Sat, 22 Jan 2011 20:52:40 -0500
Received: from mail-ew0-f44.google.com ([209.85.215.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1Pgp89-0005K6-Ku
	for 7726 <at> debbugs.gnu.org; Sat, 22 Jan 2011 20:52:38 -0500
Received: by ewy8 with SMTP id 8so1591046ewy.3
	for <7726 <at> debbugs.gnu.org>; Sat, 22 Jan 2011 18:00:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:from:date
	:message-id:subject:to:cc:content-type;
	bh=JEbSyvJtDsdyrv47afDi2zMhws09tutAz5ziAQph598=;
	b=I9klXJhZRodWUSp7Ce0P2K1uRDo6OIL3cKS7r0n9NerlI/pWBnWqccHp4EuzGwO7lF
	1Br03Q2xfaGuOk4xRi0SCIqthcpTmjNk/qikHtr0BGU/CZjzDfLWvNb02tIWsOYduY+a
	tqzFh0LgXJQIqUj/cbK5atu1S0yFG0kySeNTo=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	b=t3KRdP28j094hLU2HMegZa1Jp9wKsmXJ08Cqld++zGni/iFMBw0nzLLc9J8dTq3VPM
	FbIlbx24c7epfk9rbsgnjHgRD434tiVm8C26xMiKamxA4fMbUHZwovReIgHW5212D+lM
	ZOo4iGcJpmLQ8EMdZ1YXhHkIaJbYYd3sDu5ZM=
Received: by 10.213.13.16 with SMTP id z16mr3031516ebz.45.1295748034984; Sat,
	22 Jan 2011 18:00:34 -0800 (PST)
MIME-Version: 1.0
Received: by 10.213.20.148 with HTTP; Sat, 22 Jan 2011 18:00:14 -0800 (PST)
In-Reply-To: <87vd1gbiwt.fsf@HIDDEN>
References: <AANLkTik3VLyRYTs-zMeSDhnGbZDoEYHg6QgEsU6_78Q+@mail.gmail.com>
	<87vd2jb5e2.fsf@HIDDEN> <87vd1gbiwt.fsf@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Sun, 23 Jan 2011 03:00:14 +0100
Message-ID: <AANLkTimD58ohNQWKJOH0pASEjJrRZjOVV=c5jxEnMn7H@HIDDEN>
Subject: Re: bug#7726: reveal-mode bypassed by compile-goto-error
To: Chong Yidong <cyd@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 7726
Cc: 7726 <at> debbugs.gnu.org, Thierry Volpiatto <thierry.volpiatto@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.5 (---)

On Sun, Jan 23, 2011 at 12:47 AM, Chong Yidong <cyd@HIDDEN> wrote:
> Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:
>
>> Lennart Borgman <lennart.borgman@HIDDEN> writes:
>>
>>> If I use compile-goto-error from a grep-mode buffer to a org-mode
>>> buffer where the destination line is in a hidden outline then the
>>> outline will not be revealed until after next command.
>>
>> Indeed,
>>
>> also, goto-line is unable to reach line in an outline based buffer.
>> See in anything and ioccur, it is fixed for org-mode and
>> outline-minor-mode.
>>
>> Is there other modes based on outline to handle?
>
> Anyone have a test case?

Yes, but why do you want one? Is not the recipes we have given enough?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7726; Package emacs. Full text available.

Message received at 7726 <at> debbugs.gnu.org:


Received: (at 7726) by debbugs.gnu.org; 22 Jan 2011 23:39:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 22 18:39:19 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pgn38-0001i9-R4
	for submit <at> debbugs.gnu.org; Sat, 22 Jan 2011 18:39:19 -0500
Received: from vm-emlprdomr-04.its.yale.edu ([130.132.50.145])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <cyd@HIDDEN>) id 1Pgn37-0001hw-Ma
	for 7726 <at> debbugs.gnu.org; Sat, 22 Jan 2011 18:39:18 -0500
Received: from furball (dhcp128036014187.central.yale.edu [128.36.14.187])
	(authenticated bits=0)
	by vm-emlprdomr-04.its.yale.edu (8.14.4/8.14.4) with ESMTP id
	p0MNlFl1011631
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
	Sat, 22 Jan 2011 18:47:15 -0500
Received: by furball (Postfix, from userid 1000)
	id E083A161EC4; Sat, 22 Jan 2011 18:47:14 -0500 (EST)
From: Chong Yidong <cyd@HIDDEN>
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#7726: reveal-mode bypassed by compile-goto-error
References: <AANLkTik3VLyRYTs-zMeSDhnGbZDoEYHg6QgEsU6_78Q+@mail.gmail.com>
	<87vd2jb5e2.fsf@HIDDEN>
Date: Sat, 22 Jan 2011 18:47:14 -0500
In-Reply-To: <87vd2jb5e2.fsf@HIDDEN> (Thierry Volpiatto's message of
	"Fri, 24 Dec 2010 15:40:53 +0100")
Message-ID: <87vd1gbiwt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Scanned-By: MIMEDefang 2.71 on 130.132.50.145
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 7726
Cc: 7726 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:

> Lennart Borgman <lennart.borgman@HIDDEN> writes:
>
>> If I use compile-goto-error from a grep-mode buffer to a org-mode
>> buffer where the destination line is in a hidden outline then the
>> outline will not be revealed until after next command.
>
> Indeed,
>
> also, goto-line is unable to reach line in an outline based buffer.
> See in anything and ioccur, it is fixed for org-mode and
> outline-minor-mode.
>
> Is there other modes based on outline to handle?

Anyone have a test case?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7726; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Dec 2010 14:35:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 09:35:41 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PW8k9-0008JC-3F
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2010 09:35:41 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1PW8k7-0008J0-EJ
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2010 09:35:40 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1PW8qO-0008VR-CO
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2010 09:42:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	T_RP_MATCHES_RCVD,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:53199)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1PW8qO-0008VL-AG
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2010 09:42:08 -0500
Received: from [140.186.70.92] (port=36376 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PW8qE-0002PL-Iw
	for bug-gnu-emacs@HIDDEN; Fri, 24 Dec 2010 09:42:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1PW8q2-0008Mi-DN
	for bug-gnu-emacs@HIDDEN; Fri, 24 Dec 2010 09:41:58 -0500
Received: from lo.gmane.org ([80.91.229.12]:47900)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1PW8q2-0008Lm-7j
	for bug-gnu-emacs@HIDDEN; Fri, 24 Dec 2010 09:41:46 -0500
Received: from list by lo.gmane.org with local (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1PW8pz-0006sE-F3
	for bug-gnu-emacs@HIDDEN; Fri, 24 Dec 2010 15:41:43 +0100
Received: from 47.211.85-79.rev.gaoland.net ([79.85.211.47])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Fri, 24 Dec 2010 15:41:43 +0100
Received: from thierry.volpiatto by 47.211.85-79.rev.gaoland.net with local
	(Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Fri, 24 Dec 2010 15:41:43 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#7726: reveal-mode bypassed by compile-goto-error
Date: Fri, 24 Dec 2010 15:40:53 +0100
Lines: 18
Message-ID: <87vd2jb5e2.fsf@HIDDEN>
References: <AANLkTik3VLyRYTs-zMeSDhnGbZDoEYHg6QgEsU6_78Q+@mail.gmail.com>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: 47.211.85-79.rev.gaoland.net
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAAAFz
	UkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAABJQ
	TFRFBwQEXyQQT0tD2k0bqUEftLCW5J1oDQAAAAlwSFlzAAALEQAACxEBf2RfkQAAAAl2cEFnAAAA
	MAAAADAAzu6MVwAAAZdJREFUOMt1U0FywyAMFLQPQLZ6N7R9gAO9F6N8wBP//ytdcDqNa6JDHO9K
	yyLJRL9hp4ks9SJMJ2hHQoe5E+EuemI+W8mwfvKRsLuYOEnt/ePrOu8KIayVYIlIMOaW5TrZvcIB
	sTzGmqlsSBR/zNu2bQ5PLvGChzKifBMxiFs9JLQKq1piLpHfPApWVJAfa4VojPF70K+bLOvGHgyk
	YKsAz5X3C4dpEFxBSkNAOJqsE3bB4jRnpKWa9otghl2TJdXUeo9mlRzxRAFpFnBMjw0pECS+EMwk
	dyBQacb0p/0b73hvdob/vS2Ll6PIPQbPvjdA63Xo4a/XpIxVOREvJc1kO4T9EA5rb1F85mC048po
	RJuW1p6jWzSvJJ2M5iU8FpjaV40zZu31oSnGc9aZy/yqiknPf4SIlMySacz6SJBCKWudrOqhwegT
	i8AvDtN8cGY0RWiw6nEg+8ZEueq/gZCpRJLlfPux7hjTOXD3lDs4/MQujg+AuzhxfkKUWTbXI8ao
	9QvqnC2lu1iG+67gqb+JNvMTuwf8BxNSRJN3OGcZAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDEwLTEx
	LTI2VDA4OjI0OjQxKzAxOjAw3lS1DwAAACV0RVh0ZGF0ZTptb2RpZnkAMjAxMC0xMS0yNFQxMDo1
	NDo1MiswMTowMDvcFUsAAAAASUVORK5CYII=
User-Agent: Gnus/5.110011 (No Gnus v0.11) Emacs/23.2.91 (gnu/linux)
Cancel-Lock: sha1:IJ1USn5WAY9tkUS0RFStbwEImL0=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.5 (-----)

Lennart Borgman <lennart.borgman@HIDDEN> writes:

> If I use compile-goto-error from a grep-mode buffer to a org-mode
> buffer where the destination line is in a hidden outline then the
> outline will not be revealed until after next command.

Indeed,

also, goto-line is unable to reach line in an outline based buffer.
See in anything and ioccur, it is fixed for org-mode and
outline-minor-mode.

Is there other modes based on outline to handle?

-- 
A+ Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7726; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Dec 2010 12:49:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 07:49:37 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PW75V-0005z4-Me
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2010 07:49:37 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PW75T-0005yt-MM
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2010 07:49:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PW7BZ-00033Q-Fu
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2010 07:56:15 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW,T_DKIM_INVALID autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:38001)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PW7BZ-00033L-E0
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2010 07:55:53 -0500
Received: from [140.186.70.92] (port=38551 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PW7BC-0008L1-Is
	for bug-gnu-emacs@HIDDEN; Fri, 24 Dec 2010 07:55:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PW7Aw-0002hk-Dl
	for bug-gnu-emacs@HIDDEN; Fri, 24 Dec 2010 07:55:30 -0500
Received: from mail-ey0-f169.google.com ([209.85.215.169]:59087)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <lennart.borgman@HIDDEN>) id 1PW7Aw-0002hW-6R
	for bug-gnu-emacs@HIDDEN; Fri, 24 Dec 2010 07:55:14 -0500
Received: by eyh6 with SMTP id 6so501098eyh.0
	for <bug-gnu-emacs@HIDDEN>; Fri, 24 Dec 2010 04:55:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:from:date
	:message-id:subject:to:content-type;
	bh=4hT5VFAvxEJAy5JCNYZQIowE6qU8zVIa+8qNlt7RPis=;
	b=ErYwycQeAHiK7xYkBz4BFzevNtN0BWJdpATu8R9L7lZphSMx/rHucrzQ94UITnDXxJ
	LZA0Ih4saUtWteGRjeyQN1iFjsJXaXQVEe52VlD7eBcQNpAc/E0UTquGzMxGWlyswhNe
	7ZqbyUkh177Q8uMNOTXb6H+Kqgdtn5Faz2oD8=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:from:date:message-id:subject:to:content-type;
	b=SlJfZDH7x6hiroHnpHYnpvAABH+CopnfYq+WUPsFPLQs3BLYYQ0Bia0f7TUBB4ccn7
	nppXQrmn0gLq9KR0T3DuMFVUJp0ix08/Pi34CjTIGUbVMzrbEm/91DO3Q0vxxqzluYlp
	AkvlR6O/QhzGR9mgMVSZh57LQn/LAffCguBdE=
Received: by 10.213.28.66 with SMTP id l2mr8816232ebc.71.1293195313293; Fri,
	24 Dec 2010 04:55:13 -0800 (PST)
MIME-Version: 1.0
Received: by 10.213.20.148 with HTTP; Fri, 24 Dec 2010 04:54:53 -0800 (PST)
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Fri, 24 Dec 2010 13:54:53 +0100
Message-ID: <AANLkTik3VLyRYTs-zMeSDhnGbZDoEYHg6QgEsU6_78Q+@mail.gmail.com>
Subject: reveal-mode bypassed by compile-goto-error
To: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.7 (----)

If I use compile-goto-error from a grep-mode buffer to a org-mode
buffer where the destination line is in a hidden outline then the
outline will not be revealed until after next command.

GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) from trunk 2010-10-19 (patched)




Acknowledgement sent to Lennart Borgman <lennart.borgman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7726; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.